Update profile
curl --request POST \
--url https://api.dataspike.io/api/v3/profiles/{profile_id} \
--header 'Content-Type: application/json' \
--header 'ds-api-token: <api-key>' \
--data '
{
"name": "new name for profile",
"description": "description of profile.",
"settings": {
"poi_allowed_documents": [],
"face_comparison_allowed_documents": [],
"poa_required": false,
"disable_cross_check_by_bio": false,
"disable_cross_check_by_photo": false,
"disable_verify_poa_country_match_with_poi": false,
"countries": [
"FR"
],
"allow_poi_manual_uploads": false,
"allow_desktop": false,
"ui_settings": {}
}
}
'import requests
url = "https://api.dataspike.io/api/v3/profiles/{profile_id}"
payload = {
"name": "new name for profile",
"description": "description of profile.",
"settings": {
"poi_allowed_documents": [],
"face_comparison_allowed_documents": [],
"poa_required": False,
"disable_cross_check_by_bio": False,
"disable_cross_check_by_photo": False,
"disable_verify_poa_country_match_with_poi": False,
"countries": ["FR"],
"allow_poi_manual_uploads": False,
"allow_desktop": False,
"ui_settings": {}
}
}
headers = {
"ds-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'ds-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'new name for profile',
description: 'description of profile.',
settings: {
poi_allowed_documents: [],
face_comparison_allowed_documents: [],
poa_required: false,
disable_cross_check_by_bio: false,
disable_cross_check_by_photo: false,
disable_verify_poa_country_match_with_poi: false,
countries: ['FR'],
allow_poi_manual_uploads: false,
allow_desktop: false,
ui_settings: {}
}
})
};
fetch('https://api.dataspike.io/api/v3/profiles/{profile_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bad request"
}Verification profiles
Update profile
Update verification profile
POST
/
api
/
v3
/
profiles
/
{profile_id}
Update profile
Authorizations
Path Parameters
Existing profile id
Example:
"01827ed5-c228-7a3c-9a31-7ab7cc169d13"
Body
application/json
Response
Profile updated
⌘I